org.bouncycastle.util.io

## Class Streams

- java.lang.Object
- - org.bouncycastle.util.io.Streams

    public final class Streams
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Streams()`

### Method Summary

Methods
`static void` `drain(java.io.InputStream inStr)`
`static void` `pipeAll(java.io.InputStream inStr, java.io.OutputStream outStr)`
`static long` `pipeAllLimited(java.io.InputStream inStr, long limit, java.io.OutputStream outStr)`
`static byte[]` `readAll(java.io.InputStream inStr)`
`static byte[]` `readAllLimited(java.io.InputStream inStr, int limit)`
`static int` `readFully(java.io.InputStream inStr, byte[] buf)`
`static int` `readFully(java.io.InputStream inStr, byte[] buf, int off, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Streams

    public Streams()

### Method Detail

#### drain

    public static void drain(java.io.InputStream inStr)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### readAll

    public static byte[] readAll(java.io.InputStream inStr)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

#### readAllLimited

    public static byte[] readAllLimited(java.io.InputStream inStr,
                        int limit)
                                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### readFully

    public static int readFully(java.io.InputStream inStr,
                byte[] buf)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### readFully

    public static int readFully(java.io.InputStream inStr,
                byte[] buf,
                int off,
                int len)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### pipeAll

    public static void pipeAll(java.io.InputStream inStr,
               java.io.OutputStream outStr)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### pipeAllLimited

    public static long pipeAllLimited(java.io.InputStream inStr,
                      long limit,
                      java.io.OutputStream outStr)
                               throws java.io.IOException

Throws:
  `java.io.IOException`